%define use_ccache	1
%define name    turnoffmonitor
%define version 1.0
%define release	%mkrel 1

Summary:	This simple way for "turn off" the monitor
Name:		%name
Version:	%version
Release:	%release
License:	GPLv1+
Url:		http://kde-apps.org/content/show.php/Turn+Off+Monitor?content=117849
Group:		System/Kernel and hardware
Source0:	turnoffmonitor.tar.gz
BuildRoot:	%{_tmppath}/%{name}_%{version}_%{release}-buildroot
BuildArch:	noarch
Requires:	xset

%description
This simple desktop file allows you to "turn off" 
the monitor (put it into sleep mode) as well 
as turning off the backlight if you own a laptop.

%prep
%setup -q -n %{name}

%install
rm -rf %{buildroot}

mkdir -p %buildroot%{_desktopdir}
mkdir -p %buildroot%{_bindir}
install -Dm 755 %{name} -D %buildroot%{_bindir}
install -Dm 644 *.desktop -D %buildroot%{_desktopdir}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Utilities" \
  --add-category="System" \
  --add-category="Monitor" \
  --add-category="X-MandrivaLinux-System-Monitoring" \
  --dir $RPM_BUILD_ROOT%{_desktopdir} $RPM_BUILD_ROOT%{_desktopdir}/*

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_desktopdir}/*.desktop

%changelog
* Fri Jan 29 2010 Texstar <texstar at gmail.com> 1.0-1pclos2010
- import into pclos

